summaryrefslogtreecommitdiff
path: root/vm-create
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2012-08-26 22:16:22 +0100
committerLars Wirzenius <liw@liw.fi>2012-08-26 22:16:22 +0100
commit7008996882977ffe9ffef61c133bda507092a620 (patch)
treeae30535af7795f7a781c00f0a64a78e0811941d4 /vm-create
parent96ceca08ef87581a268482a0224690d63dfa3de8 (diff)
downloadjenkinstool-7008996882977ffe9ffef61c133bda507092a620.tar.gz
Add preliminary script to create Jenkins VM image
Diffstat (limited to 'vm-create')
-rwxr-xr-xvm-create25
1 files changed, 25 insertions, 0 deletions
diff --git a/vm-create b/vm-create
new file mode 100755
index 0000000..bc47f6e
--- /dev/null
+++ b/vm-create
@@ -0,0 +1,25 @@
+#!/bin/sh
+#
+# vm-create - create VM images to run Jenkins and workers
+#
+# Copyright 2012 Lars Wirzenius
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+
+set -eux
+
+# Create the Jenkins master image.
+vmdebootstrap --config vm-data/common.conf --config vm-data/jenkins.conf "$@"
+